### Method

# Peas Engine load_plugin

#### Declaration [src]

    gboolean
    peas_engine_load_plugin (
      PeasEngine* engine,
      PeasPluginInfo* info
    )

#### Description [src]

Loads the plugin corresponding to `info` if it’s not currently loaded.

Emits the `PeasEngine::load-plugin` signal; loading the plugin actually occurs in the default signal handler.

#### Parameters

`info`

  Type: `PeasPluginInfo`

  A `PeasPluginInfo`.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

Whether the plugin has been successfully loaded.